{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"WhatsRB Cloud","description":"The easiest way to integrate the official WhatsApp Business API.","colors":{"primary":"#22C55E","light":"#4ADE80","dark":"#16A34A"},"logo":{"light":"https://mintcdn.com/whatsrb/Bqhhxq8GvrWxIa5u/images/logo-light.png?fit=max\u0026auto=format\u0026n=Bqhhxq8GvrWxIa5u\u0026q=85\u0026s=d9587fce906e6334b79305b34787ea4e","dark":"https://mintcdn.com/whatsrb/Bqhhxq8GvrWxIa5u/images/logo-dark.png?fit=max\u0026auto=format\u0026n=Bqhhxq8GvrWxIa5u\u0026q=85\u0026s=7f50decaf95fc2ea10fa70d5755be7bb","href":"https://whatsrb.com"},"favicon":"/images/favicon.png","navbar":{"links":[{"href":"https://gitlab.com/whatsrb/sdk-ruby","label":"GitLab"},{"href":"mailto:[email protected]","label":"Need help?"}],"primary":{"type":"button","label":"Dashboard","href":"https://whatsrb.com/login"}},"footer":{"socials":{"website":"https://gitlab.com/whatsrb"}},"icons":{"library":"lucide"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"whatsrb","hasAudioNarration":false,"actualSubdomain":"whatsrb","customDomains":["readme.whatsrb.com"],"gitSource":{"type":"github","owner":"seryllns","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a21ebd35ce35fd940ad5e09","collectionId":"6b86b8eb-d9ac-49c2-9682-42b72740e9dd","schemaVersion":"v2"},"entitlements":{},"buildId":"6ae948cf4e1e9c8ee81b247c:success","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"API Reference","count":50},{"language":"default","tag":"Endpoints","count":48},{"language":"default","tag":"SDKs","count":31},{"language":"default","tag":"Guides","count":14},{"language":"default","tag":"Python","count":10},{"language":"default","tag":"Ruby","count":10},{"language":"default","tag":"TypeScript","count":10},{"language":"default","tag":"Templates","count":7},{"language":"default","tag":"Agent \u0026 Workflows","count":6},{"language":"default","tag":"Business Accounts","count":6}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/session-messages/update-message-status","slug":"/api-reference/session-messages/update-message-status","pageMetadata":{"title":"Update message status","description":"Used by the WhatsRB connector to report delivery status updates.","deprecated":null,"version":null,"openapi":"/openapi.yaml patch /sessions/{session_id}/messages/{id}","href":"/api-reference/session-messages/update-message-status","autogeneratedByOpenApi":true,"hidden":false},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Used by the WhatsRB connector to report delivery status updates.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Update message status","description":"Used by the WhatsRB connector to report delivery status updates.","deprecated":null,"version":null,"openapi":"/openapi.yaml patch /sessions/{session_id}/messages/{id}","href":"/api-reference/session-messages/update-message-status","autogeneratedByOpenApi":true,"hidden":false}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Update message status","description":"Used by the WhatsRB connector to report delivery status updates.","tags":["Session Messages"],"requestBody":"528fdebd-8a98-4ee7-90b9-4f2ae910bdb0","responses":{"200":"787985ec-2660-4dea-82d7-e7862989978e","401":"6c958ddc-4d07-4cbe-9fc6-4c27cda7a231","404":"98e07c74-bb92-47aa-959f-d1444378ba0f","422":"61b46dc7-ffaf-4be4-b181-56249d77cd58"},"method":"patch","type":"path","servers":["976974d7-2837-44e9-889a-d70762336cd6"],"security":["ed40ee41-c92d-463a-af21-e205f5855195"],"path":"/sessions/{session_id}/messages/{id}","baseUrlOptions":["https://whatsrb.com/api/v1"],"title":"Update message status","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"69cabfd1-6c5b-4a30-9bd9-1663fe062408":{"name":"session_id","in":"path","required":true,"schema":{"type":"string","isRequired":true,"uniqueKey":"","typeLabel":"string"}},"30530d6a-6c9f-4f9a-9346-26a73717cbfd":{"name":"id","in":"path","required":true,"schema":{"type":"string","isRequired":true,"uniqueKey":"","typeLabel":"string"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["status"],"properties":{"status":{"type":"string","enum":["sent","delivered","read","failed"],"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"whatsapp_message_id":{"oneOf":[{"type":"string","uniqueKey":"whatsapp_message_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"whatsapp_message_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"whatsapp_message_id","typeLabel":"string | null"},"error":{"oneOf":[{"type":"string","uniqueKey":"error.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"error.oneOf.1","typeLabel":"null"}],"uniqueKey":"error","typeLabel":"string | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"whatsapp_message_id":"\u003cstring>","error":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"787985ec-2660-4dea-82d7-e7862989978e":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string","uniqueKey":"data.id","typeLabel":"string"},"direction":{"type":"string","enum":["outbound"],"uniqueKey":"data.direction","typeLabel":"enum\u003cstring>"},"to":{"type":"string","uniqueKey":"data.to","typeLabel":"string"},"message_type":{"type":"string","uniqueKey":"data.message_type","typeLabel":"string"},"content":{"type":"string","uniqueKey":"data.content","typeLabel":"string"},"status":{"type":"string","enum":["queued","sent","delivered","read","failed"],"uniqueKey":"data.status","typeLabel":"enum\u003cstring>"},"whatsapp_message_id":{"oneOf":[{"type":"string","uniqueKey":"data.whatsapp_message_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"data.whatsapp_message_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.whatsapp_message_id","typeLabel":"string | null"},"sent_at":{"oneOf":[{"type":"string","format":"date-time","uniqueKey":"data.sent_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","uniqueKey":"data.sent_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.sent_at","typeLabel":"string\u003cdate-time> | null"},"delivered_at":{"oneOf":[{"type":"string","format":"date-time","uniqueKey":"data.delivered_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","uniqueKey":"data.delivered_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.delivered_at","typeLabel":"string\u003cdate-time> | null"},"read_at":{"oneOf":[{"type":"string","format":"date-time","uniqueKey":"data.read_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","uniqueKey":"data.read_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.read_at","typeLabel":"string\u003cdate-time> | null"},"created_at":{"type":"string","format":"date-time","uniqueKey":"data.created_at","typeLabel":"string\u003cdate-time>"}},"uniqueKey":"data","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"data":{"id":"\u003cstring>","direction":"outbound","to":"\u003cstring>","message_type":"\u003cstring>","content":"\u003cstring>","status":"queued","whatsapp_message_id":"\u003cstring>","sent_at":"2023-11-07T05:31:56Z","delivered_at":"2023-11-07T05:31:56Z","read_at":"2023-11-07T05:31:56Z","created_at":"2023-11-07T05:31:56Z"}}}},"exampleType":"generated"}},"exampleType":"generated"},"6c958ddc-4d07-4cbe-9fc6-4c27cda7a231":{"description":"Invalid or missing API key","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","uniqueKey":"error","typeLabel":"string"},"details":{"oneOf":[{}],"uniqueKey":"details","typeLabel":"any"},"upgrade_url":{"oneOf":[{"type":"string","format":"uri","uniqueKey":"upgrade_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","uniqueKey":"upgrade_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"upgrade_url","typeLabel":"string\u003curi> | null"}},"uniqueKey":"","typeLabel":"object"},"example":{"error":"Invalid or missing API key"},"examples":{"Example":{"title":"Example","value":{"error":"Invalid or missing API key"}}},"exampleType":"examples"}},"exampleType":"examples"},"98e07c74-bb92-47aa-959f-d1444378ba0f":{"description":"Resource not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","uniqueKey":"error","typeLabel":"string"},"details":{"oneOf":[{}],"uniqueKey":"details","typeLabel":"any"},"upgrade_url":{"oneOf":[{"type":"string","format":"uri","uniqueKey":"upgrade_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","uniqueKey":"upgrade_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"upgrade_url","typeLabel":"string\u003curi> | null"}},"uniqueKey":"","typeLabel":"object"},"example":{"error":"Not found"},"examples":{"Example":{"title":"Example","value":{"error":"Not found"}}},"exampleType":"examples"}},"exampleType":"examples"},"61b46dc7-ffaf-4be4-b181-56249d77cd58":{"description":"Validation failed","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","uniqueKey":"error","typeLabel":"string"},"details":{"oneOf":[{}],"uniqueKey":"details","typeLabel":"any"},"upgrade_url":{"oneOf":[{"type":"string","format":"uri","uniqueKey":"upgrade_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","uniqueKey":"upgrade_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"upgrade_url","typeLabel":"string\u003curi> | null"}},"uniqueKey":"","typeLabel":"object"},"example":{"error":"Validation failed","details":{"to":["can't be blank"]}},"examples":{"Example":{"title":"Example","value":{"error":"Validation failed","details":{"to":["can't be blank"]}}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"ed40ee41-c92d-463a-af21-e205f5855195":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key from the WhatsRB dashboard. Format: `Bearer wrb_live_xxx`","scopes":[]}}},"servers":{"976974d7-2837-44e9-889a-d70762336cd6":{"url":"https://whatsrb.com/api/v1","description":"Production"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"API key from the WhatsRB dashboard. Format: `Bearer wrb_live_xxx`","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"API key from the WhatsRB dashboard. Format: `Bearer wrb_live_xxx`","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"openapi.yaml"},"subdomain":"whatsrb","siteName":"WhatsRB Cloud","title":"Update message status - WhatsRB Cloud","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-03-18T19:47:20.050Z","originalFileLocation":"api-reference/session-messages/update-message-status.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Used by the WhatsRB connector to report delivery status updates.\">\u003cmeta data-mint-head name=\"application-name\" content=\"WhatsRB Cloud\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/whatsrb/PkMac-jYO728NV0N/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/whatsrb/PkMac-jYO728NV0N/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/whatsrb/PkMac-jYO728NV0N/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/whatsrb/PkMac-jYO728NV0N/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/whatsrb/PkMac-jYO728NV0N/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/whatsrb/PkMac-jYO728NV0N/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/whatsrb/PkMac-jYO728NV0N/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/whatsrb/PkMac-jYO728NV0N/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/whatsrb/PkMac-jYO728NV0N/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update message status - WhatsRB Cloud\">\u003cmeta data-mint-head property=\"og:description\" content=\"Used by the WhatsRB connector to report delivery status updates.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"WhatsRB Cloud\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://readme.whatsrb.com/api-reference/session-messages/update-message-status\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://whatsrb.mintlify.site/_mintlify/api/og/v2?division=Session+Messages\u0026amp;title=Update+message+status\u0026amp;description=Used+by+the+WhatsRB+connector+to+report+delivery+status+updates.\u0026amp;theme=14ccf23a665e8241dec61736\u0026amp;signature=c3c32f4e0827553176e668f097e242382be5441cd2da1ec9031084ee474515c8\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update message status - WhatsRB Cloud\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Used by the WhatsRB connector to report delivery status updates.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://whatsrb.mintlify.site/_mintlify/api/og/v2?division=Session+Messages\u0026amp;title=Update+message+status\u0026amp;description=Used+by+the+WhatsRB+connector+to+report+delivery+status+updates.\u0026amp;theme=14ccf23a665e8241dec61736\u0026amp;signature=c3c32f4e0827553176e668f097e242382be5441cd2da1ec9031084ee474515c8\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/whatsrb/PkMac-jYO728NV0N/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"WhatsRB Cloud\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#22C55E\">\u003clink data-mint-head rel=\"canonical\" href=\"https://readme.whatsrb.com/api-reference/session-messages/update-message-status\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/session-messages/update-message-status.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://readme.whatsrb.com/#organization\",\"name\":\"WhatsRB Cloud\",\"url\":\"https://readme.whatsrb.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/whatsrb/Bqhhxq8GvrWxIa5u/images/logo-light.png?fit=max\u0026auto=format\u0026n=Bqhhxq8GvrWxIa5u\u0026q=85\u0026s=d9587fce906e6334b79305b34787ea4e\"}},{\"@type\":\"WebSite\",\"@id\":\"https://readme.whatsrb.com#website\",\"name\":\"WhatsRB Cloud\",\"url\":\"https://readme.whatsrb.com\",\"publisher\":{\"@id\":\"https://readme.whatsrb.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://readme.whatsrb.com/api-reference/session-messages/update-message-status#webpage\",\"url\":\"https://readme.whatsrb.com/api-reference/session-messages/update-message-status\",\"name\":\"Update message status\",\"description\":\"Used by the WhatsRB connector to report delivery status updates.\",\"dateModified\":\"2026-03-18T19:47:20.050Z\",\"isPartOf\":{\"@id\":\"https://readme.whatsrb.com#website\"},\"breadcrumb\":{\"@id\":\"https://readme.whatsrb.com/api-reference/session-messages/update-message-status#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://readme.whatsrb.com/api-reference/session-messages/update-message-status#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Endpoints\",\"item\":\"https://readme.whatsrb.com/api-reference/business-accounts/list-business-accounts\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Session Messages\",\"item\":\"https://readme.whatsrb.com/api-reference/session-messages/list-messages\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Update message status\",\"item\":\"https://readme.whatsrb.com/api-reference/session-messages/update-message-status\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://readme.whatsrb.com/api-reference/session-messages/update-message-status#apireference\",\"headline\":\"Update message status\",\"name\":\"Update message status\",\"description\":\"Used by the WhatsRB connector to report delivery status updates.\",\"url\":\"https://readme.whatsrb.com/api-reference/session-messages/update-message-status\",\"mainEntityOfPage\":{\"@id\":\"https://readme.whatsrb.com/api-reference/session-messages/update-message-status#webpage\"},\"dateModified\":\"2026-03-18T19:47:20.050Z\",\"publisher\":{\"@id\":\"https://readme.whatsrb.com/#organization\"},\"isPartOf\":{\"@id\":\"https://readme.whatsrb.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"WhatsRB Cloud\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"WhatsRB Cloud","nav":{"global":null,"tabs":[{"tab":"Guides","icon":"book-open","pages":[{"title":"Guides","href":""}]},{"tab":"API Reference","icon":"square-terminal","groups":[{"group":"Overview","pages":[{"title":"API Overview","href":"/api-reference/overview"},{"title":"Quickstart","href":"/api-reference/quickstart"}]},{"group":"Endpoints","pages":[{"group":"Business Accounts","pages":[{"title":"List business accounts","deprecated":null,"version":null,"openapi":"/openapi.yaml get /business_accounts","href":"/api-reference/business-accounts/list-business-accounts"},{"title":"Create a business account (manual)","deprecated":null,"version":null,"openapi":"/openapi.yaml post /business_accounts","href":"/api-reference/business-accounts/create-a-business-account-manual"},{"title":"Start an embedded signup connect","deprecated":null,"version":null,"openapi":"/openapi.yaml post /business_accounts/connect","href":"/api-reference/business-accounts/start-an-embedded-signup-connect"},{"title":"Get a business account","deprecated":null,"version":null,"openapi":"/openapi.yaml get /business_accounts/{id}","href":"/api-reference/business-accounts/get-a-business-account"},{"title":"Delete a business account","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /business_accounts/{id}","href":"/api-reference/business-accounts/delete-a-business-account"},{"title":"Check 24h conversation window","deprecated":null,"version":null,"openapi":"/openapi.yaml get /business_accounts/{id}/window","href":"/api-reference/business-accounts/check-24h-conversation-window"}]},{"group":"Business Messages","pages":[{"title":"List messages","deprecated":null,"version":null,"openapi":"/openapi.yaml get /business_accounts/{business_account_id}/messages","href":"/api-reference/business-messages/list-messages"},{"title":"Send a message","deprecated":null,"version":null,"openapi":"/openapi.yaml post /business_accounts/{business_account_id}/messages","href":"/api-reference/business-messages/send-a-message"},{"title":"Get a message","deprecated":null,"version":null,"openapi":"/openapi.yaml get /business_accounts/{business_account_id}/messages/{id}","href":"/api-reference/business-messages/get-a-message"}]},{"group":"Templates","pages":[{"title":"List templates","deprecated":null,"version":null,"openapi":"/openapi.yaml get /business_accounts/{business_account_id}/templates","href":"/api-reference/templates/list-templates"},{"title":"Create a template","deprecated":null,"version":null,"openapi":"/openapi.yaml post /business_accounts/{business_account_id}/templates","href":"/api-reference/templates/create-a-template"},{"title":"Sync templates from Meta","deprecated":null,"version":null,"openapi":"/openapi.yaml post /business_accounts/{business_account_id}/templates/sync","href":"/api-reference/templates/sync-templates-from-meta"},{"title":"Get a template","deprecated":null,"version":null,"openapi":"/openapi.yaml get /business_accounts/{business_account_id}/templates/{id}","href":"/api-reference/templates/get-a-template"},{"title":"Delete a template","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /business_accounts/{business_account_id}/templates/{id}","href":"/api-reference/templates/delete-a-template"},{"title":"Clone a template","deprecated":null,"version":null,"openapi":"/openapi.yaml post /business_accounts/{business_account_id}/templates/{id}/clone","href":"/api-reference/templates/clone-a-template"},{"title":"Send a test message","deprecated":null,"version":null,"openapi":"/openapi.yaml post /business_accounts/{business_account_id}/templates/{id}/send_test","href":"/api-reference/templates/send-a-test-message"}]},{"group":"Sessions","pages":[{"title":"List sessions","deprecated":null,"version":null,"openapi":"/openapi.yaml get /sessions","href":"/api-reference/sessions/list-sessions"},{"title":"Create a session","deprecated":null,"version":null,"openapi":"/openapi.yaml post /sessions","href":"/api-reference/sessions/create-a-session"},{"title":"Get a session","deprecated":null,"version":null,"openapi":"/openapi.yaml get /sessions/{id}","href":"/api-reference/sessions/get-a-session"},{"title":"Delete a session","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /sessions/{id}","href":"/api-reference/sessions/delete-a-session"},{"title":"Update session status","deprecated":null,"version":null,"openapi":"/openapi.yaml patch /sessions/{id}","href":"/api-reference/sessions/update-session-status"}]},{"group":"Session Messages","pages":[{"title":"List messages","deprecated":null,"version":null,"openapi":"/openapi.yaml get /sessions/{session_id}/messages","href":"/api-reference/session-messages/list-messages"},{"title":"Send a message","deprecated":null,"version":null,"openapi":"/openapi.yaml post /sessions/{session_id}/messages","href":"/api-reference/session-messages/send-a-message"},{"title":"Get a message","description":null,"deprecated":null,"version":null,"openapi":"/openapi.yaml get /sessions/{session_id}/messages/{id}","href":"/api-reference/session-messages/get-a-message"},{"title":"Update message status","deprecated":null,"version":null,"openapi":"/openapi.yaml patch /sessions/{session_id}/messages/{id}","href":"/api-reference/session-messages/update-message-status"}]},{"group":"Webhooks","pages":[{"title":"List webhook endpoints","description":null,"deprecated":null,"version":null,"openapi":"/openapi.yaml get /webhooks","href":"/api-reference/webhooks/list-webhook-endpoints"},{"title":"Create a webhook endpoint","deprecated":null,"version":null,"openapi":"/openapi.yaml post /webhooks","href":"/api-reference/webhooks/create-a-webhook-endpoint"},{"title":"Get a webhook endpoint","deprecated":null,"version":null,"openapi":"/openapi.yaml get /webhooks/{id}","href":"/api-reference/webhooks/get-a-webhook-endpoint"},{"title":"Delete a webhook endpoint","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /webhooks/{id}","href":"/api-reference/webhooks/delete-a-webhook-endpoint"},{"title":"Update a webhook endpoint","deprecated":null,"version":null,"openapi":"/openapi.yaml patch /webhooks/{id}","href":"/api-reference/webhooks/update-a-webhook-endpoint"}]},{"group":"Agents","pages":[{"title":"List agents","deprecated":null,"version":null,"openapi":"/openapi.yaml get /agents","href":"/api-reference/agents/list-agents"},{"title":"Create an agent","deprecated":null,"version":null,"openapi":"/openapi.yaml post /agents","href":"/api-reference/agents/create-an-agent"},{"title":"Get an agent","deprecated":null,"version":null,"openapi":"/openapi.yaml get /agents/{id}","href":"/api-reference/agents/get-an-agent"},{"title":"Delete an agent","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /agents/{id}","href":"/api-reference/agents/delete-an-agent"},{"title":"Update an agent","deprecated":null,"version":null,"openapi":"/openapi.yaml patch /agents/{id}","href":"/api-reference/agents/update-an-agent"}]},{"group":"Agent Runs","pages":[{"title":"List runs","deprecated":null,"version":null,"openapi":"/openapi.yaml get /agents/{agent_id}/runs","href":"/api-reference/agent-runs/list-runs"},{"title":"Trigger a run","deprecated":null,"version":null,"openapi":"/openapi.yaml post /agents/{agent_id}/runs","href":"/api-reference/agent-runs/trigger-a-run"},{"title":"Get a run","deprecated":null,"version":null,"openapi":"/openapi.yaml get /agents/{agent_id}/runs/{id}","href":"/api-reference/agent-runs/get-a-run"},{"title":"Decide actions on a run","deprecated":null,"version":null,"openapi":"/openapi.yaml post /agents/{agent_id}/runs/{run_id}/actions","href":"/api-reference/agent-runs/decide-actions-on-a-run"}]},{"group":"Agent Templates","pages":[{"title":"List agent templates","deprecated":null,"version":null,"openapi":"/openapi.yaml get /agent_templates","href":"/api-reference/agent-templates/list-agent-templates"}]},{"group":"Usage","pages":[{"title":"Get usage summary","deprecated":null,"version":null,"openapi":"/openapi.yaml get /usage","href":"/api-reference/usage/get-usage-summary"},{"title":"Get usage metrics","deprecated":null,"version":null,"openapi":"/openapi.yaml get /usage/metrics","href":"/api-reference/usage/get-usage-metrics"}]},{"group":"Connects","pages":[{"title":"Get a connect request","deprecated":null,"version":null,"openapi":"/openapi.yaml get /connects/{id}","href":"/api-reference/connects/get-a-connect-request"}]},{"group":"Conversation Pauses","pages":[{"title":"List conversation pauses","deprecated":null,"version":null,"openapi":"/openapi.yaml get /business_accounts/{business_account_id}/conversation_pauses","href":"/api-reference/conversation-pauses/list-conversation-pauses"},{"title":"Create a conversation pause","deprecated":null,"version":null,"openapi":"/openapi.yaml post /business_accounts/{business_account_id}/conversation_pauses","href":"/api-reference/conversation-pauses/create-a-conversation-pause"},{"title":"Check pause status for a phone number","deprecated":null,"version":null,"openapi":"/openapi.yaml get /business_accounts/{business_account_id}/conversation_pauses/check","href":"/api-reference/conversation-pauses/check-pause-status-for-a-phone-number"},{"title":"Get a conversation pause","deprecated":null,"version":null,"openapi":"/openapi.yaml get /business_accounts/{business_account_id}/conversation_pauses/{id}","href":"/api-reference/conversation-pauses/get-a-conversation-pause"},{"title":"Resume a conversation pause","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /business_accounts/{business_account_id}/conversation_pauses/{id}","href":"/api-reference/conversation-pauses/resume-a-conversation-pause"}]}]}]},{"tab":"SDKs","icon":"code","menu":[{"item":"Overview","icon":"book-open","pages":[{"title":"Overview","href":"/sdks/overview"}]},{"item":"Python","icon":"python","description":"pip install whatsrb-cloud","pages":[{"title":"Python","href":"/sdks/python/overview"}]},{"item":"Ruby","icon":"gem","description":"gem install whatsrb_cloud","pages":[{"title":"Ruby","href":"/sdks/ruby/overview"}]},{"item":"TypeScript","icon":"js","description":"npm install @whatsrb/cloud","pages":[{"title":"TypeScript","href":"/sdks/typescript/overview"}]}],"pages":[{"title":"SDKs","href":"/sdks/overview"}]}]},"basePath":"","title":"Update message status - WhatsRB Cloud","buildId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","deploymentId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-i2a3QZ8E.js","utils-ChLwp8m0.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DRktVTDc.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CA2pEs4T.js","snippetPresets-ClQ6XrKD.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-Ct_Lv36y.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-Cn2PYw9e.js","shallow-rkyymjXQ.js","getApiPlaygroundDisplay-BB9vkXtE.js","CodeSnippet-Bm5RU7m1.js","CodeSnippets-BgU9Deuz.js","Page-BUDYNlhG.js","getPastedJson-BD-6NNum.js","icon-8Z6tud2e.js","MethodPill-Tuzr4g3V.js","DuplicateIcon-0ceWFYhN.js","createIcon-FBXow_ST.js","DynamicMarkdown-CD8713Yy.js","SectionHeading-7zgzQbH-.js","axios-vUo_bRtp.js","Markdown-D7Ofw1oz.js","clsx-eKJ4rcii.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CwjSCXIK.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-9EK5IAXV.js"]}